Archive document
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-transactions/{transactionId}/documents/{documentId}/archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-transactions/{transactionId}/documents/{documentId}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-transactions/{transactionId}/documents/{documentId}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "com.layerfi.routers.EmptyResponse"
}
}{
"description": "<string>",
"meta": {}
}Documents
Archive document
Archiving a document makes the document inactive. The document will no longer be accessible via normal API endpoints, but the document is retained and can be unarchived in the future.
POST
/
v1
/
businesses
/
{businessId}
/
bank-transactions
/
{transactionId}
/
documents
/
{documentId}
/
archive
Archive document
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to archive the document for.
The UUID of the transaction to associate this document with.
The UUID of the document to fetch.
Response
Show child attributes
Show child attributes
⌘I